Bug 57001 - Update port: audio/zinf to 2.2.4
Summary: Update port: audio/zinf to 2.2.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-09-19 15:50 UTC by tkato
Modified: 2003-09-27 04:59 UTC (History)
0 users

See Also:


Attachments
file.diff (33.62 KB, patch)
2003-09-19 15:50 UTC, tkato
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato 2003-09-19 15:50:17 UTC
- Update to version 2.2.4

New file:
files/patch-config-ltmain.sh
files/patch-configure
files/patch-io-soundcard-unix-linux-soundcardpmo.cpp
files/patch-io-src-pullbuffer.cpp
files/patch-io-wavout-src-wav.cpp
files/patch-io-wavout-src-wavoutpmo.cpp
files/patch-lib-xml-include-Parse.h
files/patch-lmc-wav-src-wavlmc.cpp
files/patch-ui-zinf-include-PixFontControl.h
files/patch-ui-zinf-src-ThemeZip.cpp
files/patch-ui-zinf-tools-Makefile.in
files/patch-ui-zinf-unix-src-GTKFileSelector.cpp

Remove file:
files/patch-Makefile.in
files/patch-aa 
files/patch-ac 
files/patch-ad 
files/patch-base-unix-include-browser.h
files/patch-installer-unix-linux-Zinf.desktop
files/patch-io-wavout-src-waveoutpmo.cpp
files/patch-plm-metadata-id3lib-id3lib.cpp
Comment 1 tkato 2003-09-22 16:55:08 UTC
Here is an up-to-date patch:


diff -urN /usr/ports/audio/zinf/Makefile audio/zinf/Makefile
--- /usr/ports/audio/zinf/Makefile	Fri May  2 17:01:40 2003
+++ audio/zinf/Makefile	Mon Sep 22 23:15:45 2003
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	zinf
-PORTVERSION=	2.2.3
+PORTVERSION=	2.2.4
 CATEGORIES=	audio
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	${PORTNAME}
@@ -15,30 +15,46 @@
 COMMENT=	GTK-based MP3 player
 
 LIB_DEPENDS=	id3-3.8.2:${PORTSDIR}/audio/id3lib \
-		musicbrainz.2:${PORTSDIR}/audio/musicbrainz
+		musicbrainz.3:${PORTSDIR}/audio/libmusicbrainz \
+		gdbm.3:${PORTSDIR}/databases/gdbm
 
 USE_X_PREFIX=	yes
-USE_GNOME=	gnomehier gdkpixbuf
+USE_GNOME=	gdkpixbuf gnomehack gnometarget
 WANT_GNOME=	yes
 USE_PERL5=	yes
 USE_FREETYPE=	yes
 USE_GMAKE=	yes
-USE_AUTOCONF_VER=	213
+USE_LIBTOOL=	yes
+LIBTOOLFLAGS=	# none
 CONFIGURE_ENV=	CPPFLAGS="${CPPFLAGS}" LDFLAGS="${LDFLAGS}"
+CONFIGURE_ARGS=	--enable-ipv6
 
-CPPFLAGS=	-I${LOCALBASE}/include/freetype1 -I${LOCALBASE}/include \
-		${PTHREAD_CFLAGS}
-LDFLAGS=	-L${LOCALBASE}/lib -lintl ${PTHREAD_LIBS}
+CPPFLAGS=	-I${LOCALBASE}/include/freetype1/freetype \
+		-I${LOCALBASE}/include ${PTHREAD_CFLAGS}
+LDFLAGS=	-L${LOCALBASE}/lib ${PTHREAD_LIBS}
+
+CFLAGS+=	-O0
 
 .include <bsd.port.pre.mk>
 
 .if ${ARCH} == "i386"
 BUILD_DEPENDS+=	nasm:${PORTSDIR}/devel/nasm
 CPPFLAGS+=	"-D_M_IX86"
-.elif ${ARCH} == "alpha"
+.else
+CONFIGURE_ARGS+=	--disable-x86opts
+.endif
+
+.if ${ARCH} == "alpha"
 CPPFLAGS+=	"-D_M_ALPHA"
 .endif
 
+.if ${OSVERSION} < 500035
+BUILD_DEPENDS+=	${LOCALBASE}/lib/libstlport_gcc.so:${PORTSDIR}/devel/stlport
+RUN_DEPENDS+=	${LOCALBASE}/lib/libstlport_gcc.so:${PORTSDIR}/devel/stlport
+CPPFLAGS+=	-I${LOCALBASE}/include/stlport
+LDFLAGS+=	-lstlport_gcc
+.endif
+
 .if ${HAVE_GNOME:Mesound}!="" || defined(WITH_ALL_PLUGINS)
 USE_GNOME+=	esound
 PLIST_SUB+=	ESOUND=""
@@ -74,9 +90,9 @@
 	@${ECHO_MSG}
 	@${ECHO_MSG} "You may use the following build options:"
 	@${ECHO_MSG}
-	@${ECHO_MSG} "WITH_LIBARTS		build with libArts output plugin"
+	@${ECHO_MSG} "WITH_LIBARTS=yes		build with libArts output plugin"
 	@${ECHO_MSG} "WITHOUT_GNOME=esound	do NOT build with esd support"
-	@${ECHO_MSG} "WITHOUT_VORBIS		do NOT build with Ogg/Vorbis codec plugin"
+	@${ECHO_MSG} "WITHOUT_VORBIS=yes	do NOT build with Ogg/Vorbis codec plugin"
 	@${ECHO_MSG}
 	@${ECHO_MSG} "WITH_ALL_PLUGINS=yes	build with all plugins"
 	@${ECHO_MSG}
diff -urN /usr/ports/audio/zinf/distinfo audio/zinf/distinfo
--- /usr/ports/audio/zinf/distinfo	Fri May  2 17:01:40 2003
+++ audio/zinf/distinfo	Mon Aug 18 16:48:05 2003
@@ -1 +1 @@
-MD5 (zinf-2.2.3.tar.gz) = 2eda6103c0287c7d4d591841e4898199
+MD5 (zinf-2.2.4.tar.gz) = 7520bbbffa466b86753c461f3c3a075f
diff -urN /usr/ports/audio/zinf/files/patch-Makefile.in audio/zinf/files/patch-Makefile.in
--- /usr/ports/audio/zinf/files/patch-Makefile.in	Fri Oct 25 02:13:35 2002
+++ audio/zinf/files/patch-Makefile.in	Thu Jan  1 09:00:00 1970
@@ -1,17 +0,0 @@
---- Makefile.in.orig	Mon Jun 24 08:44:27 2002
-+++ Makefile.in	Thu Oct 17 09:19:30 2002
-@@ -142,10 +142,10 @@
- install-zinf: zinf
- 	$(mkinstalldirs) $(DESTDIR)$(bindir)
- 	$(INSTALL_PROGRAM) zinf $(DESTDIR)$(bindir)
--	$(mkinstalldirs) /usr/share/pixmaps
--	$(INSTALL_DATA) installer/unix/linux/zinf.png $(GTK_PREFIX)/share/pixmaps
--	$(mkinstalldirs) /usr/share/gnome/apps/Audio
--	$(INSTALL_DATA) installer/unix/linux/Zinf.desktop $(GTK_PREFIX)/share/gnome/apps/Audio
-+	$(mkinstalldirs) $(DESTDIR)$(datadir)/gnome/pixmaps
-+	$(INSTALL_DATA) installer/unix/linux/zinf.png $(DESTDIR)$(datadir)/gnome/pixmaps
-+	$(mkinstalldirs) $(DESTDIR)$(datadir)/gnome/apps/Audio
-+	$(INSTALL_DATA) installer/unix/linux/Zinf.desktop $(DESTDIR)$(datadir)/gnome/apps/Audio
- 	if test -f "MakeTheme"; then \
- 		$(INSTALL_PROGRAM) MakeTheme $(DESTDIR)$(bindir);\
- 	fi;
diff -urN /usr/ports/audio/zinf/files/patch-aa audio/zinf/files/patch-aa
--- /usr/ports/audio/zinf/files/patch-aa	Fri May  2 17:01:40 2003
+++ audio/zinf/files/patch-aa	Thu Jan  1 09:00:00 1970
@@ -1,189 +0,0 @@
---- configure.in.orig	Mon Jan 20 02:04:10 2003
-+++ configure.in	Fri May  2 01:35:27 2003
-@@ -182,8 +182,8 @@
-     ;;
-   freebsd*)
-     host_os="freebsd"
--    CFLAGS="$CFLAGS -D_THREAD_SAFE -pthread -I/usr/local/include"
--    LDFLAGS="$LDFLAGS -Wl,-export-dynamic -L/usr/local/lib"
-+    CFLAGS="$CFLAGS"
-+    LDFLAGS="$LDFLAGS -Wl,-export-dynamic"
-     ;;
-   netbsd*)
-     host_os="freebsd"
-@@ -334,9 +334,9 @@
-            sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\2/'`
-      esd_micro_version=`$ESD_CONFIG $esd_config_args --version | \
-            sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\3/'`
--     ac_save_CFLAGS="$CFLAGS"
-+     ac_save_CPPFLAGS="$CPPFLAGS"
-      ac_save_LIBS="$LIBS"
--     CFLAGS="$CFLAGS $ESD_CFLAGS"
-+     CPPFLAGS="$CPPFLAGS $ESD_CFLAGS"
-      LIBS="$LIBS $ESD_LIBS"
-      rm -f conf.esdtest
-      AC_MSG_CHECKING(for ESD - version >= $min_esd_version)
-@@ -395,7 +395,7 @@
- }
- 
- ],, have_esound=false, have_esound=false)
--     CFLAGS="$ac_save_CFLAGS"
-+     CPPFLAGS="$ac_save_CPPFLAGS"
-      LIBS="$ac_save_LIBS"
-      AC_LANG_RESTORE
-      rm -f conf.esdtest
-@@ -502,9 +502,9 @@
-      gtk_config_major=`$GTK_CONFIG --version | sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\1/'`
-      gtk_config_minor=`$GTK_CONFIG --version | sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\2/'`
-      gtk_config_micro=`$GTK_CONFIG --version | sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\3/'`
--     ac_save_CFLAGS="$CFLAGS"
-+     ac_save_CPPFLAGS="$CPPFLAGS"
-      ac_save_LIBS="$LIBS"
--     CFLAGS="$CFLAGS $GTK_CFLAGS"
-+     CPPFLAGS="$CPPFLAGS $GTK_CFLAGS"
-      LIBS="$GTK_LIBS $LIBS"
- 
-      AC_TRY_RUN([
-@@ -531,7 +531,7 @@
-          gtk_major_version, gtk_minor_version, gtk_micro_version);
-   return 1;
- }], , have_gtk=false, have_gtk=false])
--    CFLAGS="$ac_save_CFLAGS"
-+    CPPFLAGS="$ac_save_CPPFLAGS"
-     LIBS="$ac_save_LIBS" 
-     if test "$have_gtk" = "false"; then
-        AC_MSG_RESULT(no)
-@@ -552,7 +552,7 @@
-   OSINC="$OSINC -I$srcdir/ui/download/unix/include"
-   OSINC="$OSINC -I$srcdir/ui/musicbrowser/include"
-   OSINC="$OSINC -I$srcdir/ftc/kjofol"
--  CFLAGS="$CFLAGS $GTK_CFLAGS"
-+  CPPFLAGS="$CPPFLAGS $GTK_CFLAGS"
-   AC_DEFINE(HAVE_GTK)
- else
-   GTK_CFLAGS=""
-@@ -573,18 +573,10 @@
- AC_SUBST(GTK_PREFIX)
- AC_SUBST(EXTRALIBS)
- 
--AC_SUBST(CFLAGS)
-+AC_SUBST(CPPFLAGS)
- 
- dnl orbit crap
--save_CPPFLAGS="$CPPFLAGS"
--ORBIT_CPP_CFLAGS=`orbit-config --cflags server`
--CPPFLAGS="$CPPFLAGS $GTK_CFLAGS $ORBIT_CPP_CFLAGS" 
--AC_LANG_SAVE
--AC_LANG_C
--AC_CHECK_HEADERS(orb/orbit.h, have_orbit="true", have_orbit="false")
--CPPFLAGS="$save_CPPFLAGS"
--AC_LANG_RESTORE
--
-+have_orbit="false"
- ORBIT_LIBS=""
- ORBIT_IDL=""
- 
-@@ -708,7 +700,7 @@
-   alsa_min_major_version=0
-   alsa_min_minor_version=9
-   alsa_min_micro_version=0
--  ac_save_CFLAGS="$CFLAGS"
-+  ac_save_CPPFLAGS="$CPPFLAGS"
-   ac_save_LIBS="$LIBS"
- 
-   LIBS="$LIBS -lasound"
-@@ -753,7 +745,7 @@
- ], , have_alsa=false, have_alsa=false
- )
-    AC_LANG_RESTORE
--   CFLAGS="$ac_save_CFLAGS"
-+   CPPFLAGS="$ac_save_CPPFLAGS"
-    LIBS="$ac_save_LIBS"
-    if test "$have_alsa" = "false"; then
-       AC_MSG_RESULT(no)
-@@ -773,6 +765,9 @@
-   AC_MSG_RESULT([compiling alsa pmo plugin])
- fi
- 
-+AC_ARG_ENABLE(vorbis, [  --disable-vorbis        Don't compile the Vorbis output plugin], enable_vorbis=no, enable_vorbis=yes)
-+
-+if test "x$enable_vorbis" = "xyes"; then
- AC_CHECK_LIB(ogg, ogg_sync_init, have_ogg="yes",)
- AC_CHECK_LIB(vorbisfile, ov_info, have_vorbis="yes",, -lvorbis -logg)
- 
-@@ -784,6 +779,7 @@
-      AC_MSG_RESULT([compiling vorbis codec plugin])
-   fi 
- fi 
-+fi
- 
- ID3_LIBS=""
- AC_CHECK_LIB(z, uncompress,
-@@ -803,7 +799,7 @@
-     if test x$ARTSCCONFIG = x -o x$ARTSCCONFIG = x'"$ARTSCCONFIG"'; then
-     : # arts isn't installed
-     else
--        CFLAGS="$CFLAGS `$ARTSCCONFIG --cflags`"
-+        CPPFLAGS="$CPPFLAGS `$ARTSCCONFIG --cflags`"
-         AC_TRY_COMPILE([
-          #include <artsc.h>
-         ],[
-@@ -870,9 +866,9 @@
-   gdk_pixbuf_micro_version=`$GDK_PIXBUF_CONFIG $gdk_pixbuf_config_args --version | \
-          sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\3/'`
-   if test "x$enable_gdk_pixbuftest" = "xyes" ; then
--    ac_save_CFLAGS="$CFLAGS"
-+    ac_save_CPPFLAGS="$CPPFLAGS"
-     ac_save_LIBS="$LIBS"
--    CFLAGS="$CFLAGS $GDK_PIXBUF_CFLAGS"
-+    CPPFLAGS="$CPPFLAGS $GDK_PIXBUF_CFLAGS"
-     LIBS="$LIBS $GDK_PIXBUF_LIBS"
- dnl
- dnl Now check if the installed GDK_PIXBUF is sufficiently new. (Also sanity
-@@ -934,7 +930,7 @@
- }
- 
- ],, no_gdk_pixbuf=yes,[echo $ac_n "cross compiling; assumed OK... $ac_c"])
--     CFLAGS="$ac_save_CFLAGS"
-+     CPPFLAGS="$ac_save_CPPFLAGS"
-      LIBS="$ac_save_LIBS"
-    fi
- fi
-@@ -953,7 +949,7 @@
-       :
-      else
-         echo "*** Could not run GDK_PIXBUF test program, checking why..."
--        CFLAGS="$CFLAGS $GDK_PIXBUF_CFLAGS"
-+        CPPFLAGS="$CPPFLAGS $GDK_PIXBUF_CFLAGS"
-         LIBS="$LIBS $GDK_PIXBUF_LIBS"
-         AC_TRY_LINK([
- #include <stdio.h>
-@@ -972,7 +968,7 @@
-         echo "*** exact error that occured. This usually means GDK_PIXBUF was incorrectly installed"
-         echo "*** or that you have moved GDK_PIXBUF since it was installed. In the latter case, you"
-         echo "*** may want to edit the gdk-pixbuf-config script: $GDK_PIXBUF_CONFIG" ])
--        CFLAGS="$ac_save_CFLAGS"
-+        CPPFLAGS="$ac_save_CPPFLAGS"
-         LIBS="$ac_save_LIBS"
-      fi
-    fi
-@@ -984,8 +980,8 @@
- AC_SUBST(GDK_PIXBUF_LIBS)
- rm -f conf.gdk_pixbuftest
- 
--CFLAGS="$CFLAGS $GDK_PIXBUF_CFLAGS"
--AC_SUBST(CFLAGS)
-+CPPFLAGS="$CPPFLAGS $GDK_PIXBUF_CFLAGS"
-+AC_SUBST(CPPFLAGS)
- 
- AC_LANG_SAVE
- AC_LANG_CPLUSPLUS
-@@ -995,7 +991,7 @@
-     echo "*** Download the library from "
-     echo "***     http://www.musicbrainz.org/download.html"
-     echo "***"
--    AC_MSG_ERROR(Cannot continue.)],-ldl -lm -lstdc++)
-+    AC_MSG_ERROR(Cannot continue.)],-lm -lstdc++)
- AC_LANG_RESTORE
- 
- AC_CONFIG_HEADER(config/config.h)
diff -urN /usr/ports/audio/zinf/files/patch-ac audio/zinf/files/patch-ac
--- /usr/ports/audio/zinf/files/patch-ac	Fri May  2 17:01:40 2003
+++ audio/zinf/files/patch-ac	Thu Jan  1 09:00:00 1970
@@ -1,25 +0,0 @@
---- Makefile.header.in.orig	Thu Jan 16 18:32:00 2003
-+++ Makefile.header.in	Fri May  2 01:38:08 2003
-@@ -73,9 +73,9 @@
- 
- OSDEPOBJ = @OSDEPOBJ@
- 
--INCLUDES = -I. -I$(srcdir)/lib/gdbm -I$(srcdir)/base/include -I$(srcdir)/config -I$(srcdir)/io/include -I$(srcdir)/ui/include -I$(srcdir)/lmc/include -I$(srcdir)/io/soundcard/unix/$(UNIX_AUDIO_API)/include -I$(srcdir)/lmc/xingmp3/include -I$(srcdir)/lmc/cd/include -I$(srcdir)/plm/portable/pmp300/sba -I$(srcdir)/lib/xml/include -I$(srcdir)/lib/unzip/include -I$(srcdir)/io/cd/unix/include -I$(srcdir)/base/aps -I$(srcdir)/io/wavout/include -I$(srcdir)/ui/lcd/include -I$(srcdir)/ui/irman/include -I$(srcdir)/ lib/http/include -I$(srcdir)/io/signature/include -I$(srcdir)/plm/metadata/id3v2 -I$(srcdir)/lmc/wav/include -I$(srcdir)/lib/utf8 $(OSINC)
-+INCLUDES = -I. -I$(srcdir)/lib/gdbm -I$(srcdir)/base/include -I$(srcdir)/config -I$(srcdir)/io/include -I$(srcdir)/ui/include -I$(srcdir)/lmc/include -I$(srcdir)/io/soundcard/unix/$(UNIX_AUDIO_API)/include -I$(srcdir)/lmc/xingmp3/include -I$(srcdir)/lmc/cd/include -I$(srcdir)/plm/portable/pmp300/sba -I$(srcdir)/lib/xml/include -I$(srcdir)/lib/unzip/include -I$(srcdir)/io/cd/unix/include -I$(srcdir)/base/aps -I$(srcdir)/io/wavout/include -I$(srcdir)/ui/lcd/include -I$(srcdir)/ui/irman/include -I$(srcdir)/ lib/http/include -I$(srcdir)/io/signature/include -I$(srcdir)/lmc/wav/include -I$(srcdir)/lib/utf8 $(OSINC)
- 
--CXXFLAGS = -Werror $(EXTRA_CXXFLAGS)
-+CXXFLAGS = @CXXFLAGS@ $(EXTRA_CXXFLAGS)
- ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
- mkinstalldirs = $(SHELL) $(srcdir)/config/mkinstalldirs
- CONFIG_HEADER = ./config/config.h
-@@ -91,8 +91,8 @@
- X_EXTRA_LIBS = @X_EXTRA_LIBS@
- X_PRE_LIBS = @X_PRE_LIBS@
- 
--COMPILE = $(CC) $(DEFS) $(INCLUDES) $(CFLAGS) $(RELOC)
--CXXCOMPILE = $(CXX) $(DEFS) $(INCLUDES) $(CFLAGS) $(CPPFLAGS) $(CXXFLAGS)
-+COMPILE = $(CC) $(DEFS) $(INCLUDES) $(CFLAGS) $(CPPFLAGS) $(RELOC)
-+CXXCOMPILE = $(CXX) $(DEFS) $(INCLUDES) $(CXXFLAGS) $(CPPFLAGS)
- CXXCOMPILE += $(RELOC)
- 
- CXXLINK = $(CXXLD) $(CXXFLAGS) $(LDFLAGS) $(RELOC) -o $@
diff -urN /usr/ports/audio/zinf/files/patch-ad audio/zinf/files/patch-ad
--- /usr/ports/audio/zinf/files/patch-ad	Fri Oct 25 02:13:35 2002
+++ audio/zinf/files/patch-ad	Thu Jan  1 09:00:00 1970
@@ -1,11 +0,0 @@
---- Makefile-plugins.in.orig	Mon Jun 24 19:03:03 2002
-+++ Makefile-plugins.in	Thu Oct 17 10:02:34 2002
-@@ -200,7 +200,7 @@
- UNIXZINFUIOBJ += ui/zinf/unix/src/GTKPreferenceWindow.o 
- UNIXZINFUIOBJ += ui/zinf/unix/src/GTKFileSelector.o  
- UNIXZINFUIOBJ += ui/musicbrowser/unix/src/gtkmessagedialog.o
--UNIXZINFUILIBS = $(GDK_PIXBUF_LIBS) -static $(TTF_LIBS) 
-+UNIXZINFUILIBS = $(GDK_PIXBUF_LIBS) $(TTF_LIBS) 
- 
- plugins/zinf.ui: $(ZINFUIOBJ)
- 	$(LINKMOD) -o $@ $(ZINFUIOBJ) $(ZINFUILIBS)
diff -urN /usr/ports/audio/zinf/files/patch-base-Makefile.in audio/zinf/files/patch-base-Makefile.in
--- /usr/ports/audio/zinf/files/patch-base-Makefile.in	Thu Jan  1 09:00:00 1970
+++ audio/zinf/files/patch-base-Makefile.in	Mon Aug 18 19:16:35 2003
@@ -0,0 +1,11 @@
+--- base/Makefile.in.orig	Mon Aug  4 01:31:49 2003
++++ base/Makefile.in	Mon Aug 18 19:02:03 2003
+@@ -230,7 +230,7 @@
+ 	       src/undomanager.cpp src/timer.cpp src/missingfile.cpp
+ 
+ zinf_LDADD = $(top_builddir)/io/libio.la unix/libunix.la $(GDBM_LIBS) \
+-	     $(THREAD_LIBS) -ldl
++	     $(THREAD_LIBS) $(INTLLIBS)
+ 
+ zinf_LDFLAGS = -export-dynamic
+ 
diff -urN /usr/ports/audio/zinf/files/patch-base-include-eventdata.h audio/zinf/files/patch-base-include-eventdata.h
--- /usr/ports/audio/zinf/files/patch-base-include-eventdata.h	Thu Jan  1 09:00:00 1970
+++ audio/zinf/files/patch-base-include-eventdata.h	Sat Sep 13 02:36:26 2003
@@ -0,0 +1,11 @@
+--- base/include/eventdata.h.orig	Thu Feb  6 02:52:52 2003
++++ base/include/eventdata.h	Sat Sep 13 02:36:12 2003
+@@ -241,7 +241,7 @@
+ 
+       m_childEvents = new std::vector <Event *>(other.m_childEvents->size());
+ 
+-      copy(other.m_childEvents->begin(), other.m_childEvents->end(),
++      std::copy(other.m_childEvents->begin(), other.m_childEvents->end(),
+            m_childEvents->begin());
+    }
+ 
diff -urN /usr/ports/audio/zinf/files/patch-base-include-facontext.h audio/zinf/files/patch-base-include-facontext.h
--- /usr/ports/audio/zinf/files/patch-base-include-facontext.h	Thu Jan  1 09:00:00 1970
+++ audio/zinf/files/patch-base-include-facontext.h	Mon Aug 18 17:34:26 2003
@@ -0,0 +1,13 @@
+--- base/include/facontext.h.orig	Thu Feb  6 02:52:52 2003
++++ base/include/facontext.h	Mon Aug 18 17:34:13 2003
+@@ -25,7 +25,10 @@
+ #ifndef INCLUDED_FACONTEXT_H_
+ #define INCLUDED_FACONTEXT_H_
+ 
++#include <inttypes.h>
++#if HAVE_STDINT_H
+ #include <stdint.h>
++#endif
+ 
+ #include "config.h"
+ #include "preferences.h"
diff -urN /usr/ports/audio/zinf/files/patch-base-include-preferences.h audio/zinf/files/patch-base-include-preferences.h
--- /usr/ports/audio/zinf/files/patch-base-include-preferences.h	Thu Jan  1 09:00:00 1970
+++ audio/zinf/files/patch-base-include-preferences.h	Mon Aug 18 17:32:24 2003
@@ -0,0 +1,13 @@
+--- base/include/preferences.h.orig	Sat Mar 15 10:01:45 2003
++++ base/include/preferences.h	Mon Aug 18 17:32:11 2003
+@@ -26,7 +26,10 @@
+ 
+ #include <string>
+ #include <vector>
++#include <inttypes.h>
++#if HAVE_STDINT_H
+ #include <stdint.h>
++#endif
+ 
+ #include "config.h"
+ #include "errors.h"
diff -urN /usr/ports/audio/zinf/files/patch-base-include-swab.h audio/zinf/files/patch-base-include-swab.h
--- /usr/ports/audio/zinf/files/patch-base-include-swab.h	Thu Jan  1 09:00:00 1970
+++ audio/zinf/files/patch-base-include-swab.h	Mon Aug 18 17:33:49 2003
@@ -0,0 +1,13 @@
+--- base/include/swab.h.orig	Tue Mar 18 03:53:31 2003
++++ base/include/swab.h	Mon Aug 18 17:33:34 2003
+@@ -1,7 +1,10 @@
+ #if !defined(_ZINF_SWAB_H)
+ #define _ZINF_SWAB_H
+ 
++#include <inttypes.h>
++#if HAVE_STDINT_H
+ #include <stdint.h>
++#endif
+ 
+ #define SWAB16(a) ( (((uint16_t)(a) << 8) & 0xFF00) | (((uint16_t)(a) >> 8) & 0x00FF) )
+ #define SWAB32(a) ( (SWAB16(((a) >> 16) & 0xFFFF) << 0) | (SWAB16((a) & 0xFFFF) << 16) )
diff -urN /usr/ports/audio/zinf/files/patch-base-include-thread.h audio/zinf/files/patch-base-include-thread.h
--- /usr/ports/audio/zinf/files/patch-base-include-thread.h	Thu Jan  1 09:00:00 1970
+++ audio/zinf/files/patch-base-include-thread.h	Mon Aug 18 17:33:20 2003
@@ -0,0 +1,13 @@
+--- base/include/thread.h.orig	Thu Feb  6 02:52:49 2003
++++ base/include/thread.h	Mon Aug 18 17:33:09 2003
+@@ -26,7 +26,10 @@
+ 
+ #include "config.h"
+ 
++#include <inttypes.h>
++#if HAVE_STDINT_H
+ #include <stdint.h>
++#endif
+ 
+ typedef void (*thread_function)(void * arg);
+ 
diff -urN /usr/ports/audio/zinf/files/patch-base-src-player.cpp audio/zinf/files/patch-base-src-player.cpp
--- /usr/ports/audio/zinf/files/patch-base-src-player.cpp	Thu Jan  1 09:00:00 1970
+++ audio/zinf/files/patch-base-src-player.cpp	Thu Aug 21 21:50:42 2003
@@ -0,0 +1,20 @@
+--- base/src/player.cpp.orig	Sun Aug  3 04:17:48 2003
++++ base/src/player.cpp	Thu Aug 21 21:50:28 2003
+@@ -708,7 +708,7 @@
+ #ifndef HAVE_GTK
+       if (name == "zinf.ui") {
+           pref = kTextUIPref;
+-          context->prefs->GetPrefString(pref, name);
++          m_context->prefs->GetPrefString(pref, name);
+       }
+ #endif
+ #endif
+@@ -869,7 +869,7 @@
+ //         cerr << boost::format("%1% will quit") % The_BRANDING << endl;
+ 
+ 
+-         cerr << "No UI plugin in '" << thePath << "' matched 'plugins/" << name << "' or 'plugins/" << name << ".ui.'" << endl;
++         cerr << "If this was the first time you started zinf just try again." << endl;
+          cerr << The_BRANDING << " will quit." << endl;
+ #endif
+          Event    *e = new Event(CMD_QuitPlayer);
diff -urN /usr/ports/audio/zinf/files/patch-base-src-propimpl.cpp audio/zinf/files/patch-base-src-propimpl.cpp
--- /usr/ports/audio/zinf/files/patch-base-src-propimpl.cpp	Thu Jan  1 09:00:00 1970
+++ audio/zinf/files/patch-base-src-propimpl.cpp	Mon Aug 18 17:35:24 2003
@@ -0,0 +1,13 @@
+--- base/src/propimpl.cpp.orig	Thu Feb  6 02:52:47 2003
++++ base/src/propimpl.cpp	Mon Aug 18 17:35:16 2003
+@@ -21,7 +21,10 @@
+ 	$Id: propimpl.cpp,v 1.4 2003/02/05 17:52:47 rottmann Exp $
+ ____________________________________________________________________________*/
+ 
++#include <inttypes.h>
++#if HAVE_STDINT_H
+ #include <stdint.h>
++#endif
+ #include <map>
+ #include <vector>
+ #include <string>
diff -urN /usr/ports/audio/zinf/files/patch-base-src-registrar.cpp audio/zinf/files/patch-base-src-registrar.cpp
--- /usr/ports/audio/zinf/files/patch-base-src-registrar.cpp	Thu Jan  1 09:00:00 1970
+++ audio/zinf/files/patch-base-src-registrar.cpp	Mon Aug 18 18:55:15 2003
@@ -0,0 +1,29 @@
+--- base/src/registrar.cpp.orig	Sat Mar 15 10:01:46 2003
++++ base/src/registrar.cpp	Mon Aug 18 18:54:16 2003
+@@ -28,7 +28,7 @@
+ #include <stdlib.h>
+ #include <unistd.h>
+ #include <set>
+-#include <wordexp.h>
++#include <glob.h>
+ #endif // WIN32
+ 
+ #include <stdio.h>
+@@ -79,13 +79,13 @@
+         dir = *di++;
+ 
+ #ifndef WIN32
+-        wordexp_t result;
+-        if (wordexp(dir.c_str(), &result, 0) ==0){
++        glob_t result;
++        if (glob(dir.c_str(), 0, NULL, &result) ==0){
+              //cerr << "Expanded " << dir << " in ";
+-             dir = result.we_wordv[0];
++             dir = result.gl_pathv[0];
+              //cerr << dir << endl;
+         }
+-        wordfree(&result);
++        globfree(&result);
+ 
+ #if 0
+         if (dir[0] == '~') {
diff -urN /usr/ports/audio/zinf/files/patch-base-src-utility.cpp audio/zinf/files/patch-base-src-utility.cpp
--- /usr/ports/audio/zinf/files/patch-base-src-utility.cpp	Thu Jan  1 09:00:00 1970
+++ audio/zinf/files/patch-base-src-utility.cpp	Mon Aug 18 18:57:02 2003
@@ -0,0 +1,29 @@
+--- base/src/utility.cpp.orig	Sun May 11 15:45:31 2003
++++ base/src/utility.cpp	Mon Aug 18 18:57:01 2003
+@@ -52,7 +52,7 @@
+ #include "win32impl.h"
+ #include "browser.h"
+ #include <unistd.h>
+-#include <wordexp.h>
++#include <glob.h>
+ #define MKDIR(z) mkdir(z, 0755)
+ #define _stat stat
+ #ifndef _S_IFDIR
+@@ -764,13 +764,13 @@
+ 
+         if (subpath.size()) {
+ #ifndef WIN32
+-            wordexp_t result;
+-            if (wordexp(subpath.c_str(), &result, 0) ==0){
++            glob_t result;
++            if (glob(subpath.c_str(), 0, NULL, &result) ==0){
+                 //cerr << "Expanded " << dir << " in ";
+-                subpath = result.we_wordv[0];
++                subpath = result.gl_pathv[0];
+                 //cerr << dir << endl;
+             }
+-            wordfree(&result);
++            globfree(&result);
+ #endif
+ 
+             dirs.push_back(subpath);
diff -urN /usr/ports/audio/zinf/files/patch-base-unix-include-browser.h audio/zinf/files/patch-base-unix-include-browser.h
--- /usr/ports/audio/zinf/files/patch-base-unix-include-browser.h	Tue Jan 28 15:24:24 2003
+++ audio/zinf/files/patch-base-unix-include-browser.h	Thu Jan  1 09:00:00 1970
@@ -1,11 +0,0 @@
---- base/unix/include/browser.h.orig	Sun Dec 15 10:34:14 2002
-+++ base/unix/include/browser.h	Sat Jan 18 04:33:14 2003
-@@ -8,6 +8,8 @@
- #define BROWSER_H
- #include <string>
- 
-+using namespace std;
-+
- typedef enum
- {
-    eBrowserNetscape = 0,
diff -urN /usr/ports/audio/zinf/files/patch-base-unix-include-win32impl.h audio/zinf/files/patch-base-unix-include-win32impl.h
--- /usr/ports/audio/zinf/files/patch-base-unix-include-win32impl.h	Thu Jan  1 09:00:00 1970
+++ audio/zinf/files/patch-base-unix-include-win32impl.h	Mon Aug 18 17:36:48 2003
@@ -0,0 +1,13 @@
+--- base/unix/include/win32impl.h.orig	Thu Feb  6 02:52:42 2003
++++ base/unix/include/win32impl.h	Mon Aug 18 17:36:37 2003
+@@ -24,7 +24,10 @@
+ #ifndef INCLUDED_WIN32IMPL_H_
+ #define INCLUDED_WIN32IMPL_H_
+ 
++#include <inttypes.h>
++#if HAVE_STDINT_H
+ #include <stdint.h>
++#endif
+ #include <limits.h>
+ 
+ #include "config.h"
diff -urN /usr/ports/audio/zinf/files/patch-config-ltmain.sh audio/zinf/files/patch-config-ltmain.sh
--- /usr/ports/audio/zinf/files/patch-config-ltmain.sh	Thu Jan  1 09:00:00 1970
+++ audio/zinf/files/patch-config-ltmain.sh	Mon Aug 18 22:41:10 2003
@@ -0,0 +1,21 @@
+--- config/ltmain.sh.orig	Wed Jul 23 11:20:18 2003
++++ config/ltmain.sh	Mon Aug 18 22:41:00 2003
+@@ -1075,12 +1075,17 @@
+ 	  esac
+ 	 elif test "X$arg" = "X-lc_r"; then
+ 	  case $host in
+-	 *-*-openbsd* | *-*-freebsd*)
++	 *-*-openbsd*)
+ 	    # Do not include libc_r directly, use -pthread flag.
+ 	    continue
+ 	    ;;
+ 	  esac
+ 	fi
++	deplibs="$deplibs $arg"
++	continue
++	;;
++
++      -?thread)
+ 	deplibs="$deplibs $arg"
+ 	continue
+ 	;;
diff -urN /usr/ports/audio/zinf/files/patch-configure audio/zinf/files/patch-configure
--- /usr/ports/audio/zinf/files/patch-configure	Thu Jan  1 09:00:00 1970
+++ audio/zinf/files/patch-configure	Thu Aug 21 21:13:55 2003
@@ -0,0 +1,18 @@
+--- configure.orig	Mon Aug  4 01:28:11 2003
++++ configure	Thu Aug 21 21:13:45 2003
+@@ -8480,6 +8480,7 @@
+ 
+ # This can be used to rebuild libtool when needed
+ LIBTOOL_DEPS="$ac_aux_dir/ltmain.sh"
++$ac_aux_dir/ltconfig $LIBTOOL_DEPS
+ 
+ # Always use our own libtool.
+ LIBTOOL='$(SHELL) $(top_builddir)/libtool'
+@@ -13429,6 +13430,7 @@
+       ;;
+     freebsd*)
+       ZINF_OS="freebsd";
++      UNIX_AUDIO_API="linux"
+ 
+ cat >>confdefs.h <<\_ACEOF
+ #define ZINF_OS_BSD 1
diff -urN /usr/ports/audio/zinf/files/patch-installer-unix-linux-Zinf.desktop audio/zinf/files/patch-installer-unix-linux-Zinf.desktop
--- /usr/ports/audio/zinf/files/patch-installer-unix-linux-Zinf.desktop	Tue Jan 28 15:24:24 2003
+++ audio/zinf/files/patch-installer-unix-linux-Zinf.desktop	Thu Jan  1 09:00:00 1970
@@ -1,13 +0,0 @@
---- installer/unix/linux/Zinf.desktop.orig	Mon Jun 24 08:44:27 2002
-+++ installer/unix/linux/Zinf.desktop	Sat Jan 18 04:49:09 2003
-@@ -1,8 +1,8 @@
- 
- [Desktop Entry]
--Name[en_US.ISO8859-1]=Zinf
-+Name=Zinf
- Exec=zinf 
--Icon=/usr/share/pixmaps/zinf.png
-+Icon=zinf.png
- Terminal=false
- MultipleArgs=false
- Type=Application
diff -urN /usr/ports/audio/zinf/files/patch-io-soundcard-unix-linux-soundcardpmo.cpp audio/zinf/files/patch-io-soundcard-unix-linux-soundcardpmo.cpp
--- /usr/ports/audio/zinf/files/patch-io-soundcard-unix-linux-soundcardpmo.cpp	Thu Jan  1 09:00:00 1970
+++ audio/zinf/files/patch-io-soundcard-unix-linux-soundcardpmo.cpp	Thu Aug 21 21:49:12 2003
@@ -0,0 +1,11 @@
+--- io/soundcard/unix/linux/soundcardpmo.cpp.orig	Fri May 30 20:01:42 2003
++++ io/soundcard/unix/linux/soundcardpmo.cpp	Thu Aug 21 21:48:48 2003
+@@ -210,7 +210,7 @@
+    int       junkvar = 0;
+ 
+ #if !SMALL_ENDIAN 
+-    mask = AFMT_S16_BE
++    mask = AFMT_S16_BE;
+     if(ioctl(audio_fd,SNDCTL_DSP_SETFMT,&mask) == -1){
+ 	ReportError(_("Cannot set card to Big Endian."));
+ 	return(Error) pmoError_IOCTL_SNDCTL_DSP_SETFMT;
diff -urN /usr/ports/audio/zinf/files/patch-io-src-pullbuffer.cpp audio/zinf/files/patch-io-src-pullbuffer.cpp
--- /usr/ports/audio/zinf/files/patch-io-src-pullbuffer.cpp	Thu Jan  1 09:00:00 1970
+++ audio/zinf/files/patch-io-src-pullbuffer.cpp	Thu Aug 21 21:53:42 2003
@@ -0,0 +1,22 @@
+--- io/src/pullbuffer.cpp.orig	Sat Mar 15 10:01:51 2003
++++ io/src/pullbuffer.cpp	Thu Aug 21 21:53:22 2003
+@@ -26,6 +26,10 @@
+ #include <stdlib.h>
+ #include <string.h>
+ #include <assert.h>
++#include <inttypes.h>
++#if HAVE_STDINT_H
++#include <stdint.h>
++#endif
+ #ifndef WIN32
+ #include <unistd.h>
+ #endif
+@@ -168,7 +172,7 @@
+ 
+    pPtr = (char *)pBuffer;
+ 
+-   if (pPtr >= (char *)((unsigned int)m_pPullBuffer + m_iBufferSize))
++   if (pPtr >= (char *)((uintptr_t)m_pPullBuffer + m_iBufferSize))
+ 	   pPtr -= m_iBufferSize;
+ 
+    pBuffer = (void *)pPtr;
diff -urN /usr/ports/audio/zinf/files/patch-io-wavout-src-wav.cpp audio/zinf/files/patch-io-wavout-src-wav.cpp
--- /usr/ports/audio/zinf/files/patch-io-wavout-src-wav.cpp	Thu Jan  1 09:00:00 1970
+++ audio/zinf/files/patch-io-wavout-src-wav.cpp	Thu Aug 21 19:48:14 2003
@@ -0,0 +1,20 @@
+--- io/wavout/src/wav.cpp.orig	Tue Mar 18 03:53:30 2003
++++ io/wavout/src/wav.cpp	Thu Aug 21 19:47:59 2003
+@@ -101,7 +101,7 @@
+ 	if (m_FP == NULL) return;
+ 
+ #if !SMALL_ENDIAN
+-	m_WH.Length = SWAB32(DataWritten + sizeof(WaveHeader) - 4);
++	m_WH.Length = SWAB32(SWAB32(m_WH.DataLength) + sizeof(WaveHeader) - 4);
+ #else
+ 	m_WH.Length = m_WH.DataLength + sizeof(WaveHeader) - 4;
+ #endif
+@@ -118,7 +118,7 @@
+ {
+ #if !SMALL_ENDIAN
+ 	DataWritten+=data_size;
+-	m_WH.DataLength=SWAB32(DataWritten);
++	m_WH.DataLength=SWAB32(SWAB32(m_WH.DataLength) + data_size);
+ #else
+ 	m_WH.DataLength+=data_size;
+ #endif
diff -urN /usr/ports/audio/zinf/files/patch-io-wavout-src-waveoutpmo.cpp audio/zinf/files/patch-io-wavout-src-waveoutpmo.cpp
--- /usr/ports/audio/zinf/files/patch-io-wavout-src-waveoutpmo.cpp	Wed May  1 16:26:03 2002
+++ audio/zinf/files/patch-io-wavout-src-waveoutpmo.cpp	Thu Jan  1 09:00:00 1970
@@ -1,10 +0,0 @@
---- ./io/wavout/src/wavoutpmo.cpp.orig	Tue Oct 16 01:23:08 2001
-+++ ./io/wavout/src/wavoutpmo.cpp	Sun Apr  7 01:40:28 2002
-@@ -28,7 +28,6 @@
- #endif
- #include <stdio.h>
- #include <stdlib.h>
--#include <malloc.h>
- 
- /* project headers */
- #include "config.h"
diff -urN /usr/ports/audio/zinf/files/patch-io-wavout-src-wavoutpmo.cpp audio/zinf/files/patch-io-wavout-src-wavoutpmo.cpp
--- /usr/ports/audio/zinf/files/patch-io-wavout-src-wavoutpmo.cpp	Thu Jan  1 09:00:00 1970
+++ audio/zinf/files/patch-io-wavout-src-wavoutpmo.cpp	Mon Aug 18 17:25:33 2003
@@ -0,0 +1,10 @@
+--- io/wavout/src/wavoutpmo.cpp.orig	Sat Mar 15 10:01:51 2003
++++ io/wavout/src/wavoutpmo.cpp	Mon Aug 18 17:25:07 2003
+@@ -28,7 +28,6 @@
+ #endif
+ #include <stdio.h>
+ #include <stdlib.h>
+-#include <malloc.h>
+ #include <string>
+ 
+ /* project headers */
diff -urN /usr/ports/audio/zinf/files/patch-lib-xml-include-Parse.h audio/zinf/files/patch-lib-xml-include-Parse.h
--- /usr/ports/audio/zinf/files/patch-lib-xml-include-Parse.h	Thu Jan  1 09:00:00 1970
+++ audio/zinf/files/patch-lib-xml-include-Parse.h	Mon Aug 18 17:37:20 2003
@@ -0,0 +1,13 @@
+--- lib/xml/include/Parse.h.orig	Thu Feb 13 20:47:58 2003
++++ lib/xml/include/Parse.h	Mon Aug 18 17:37:07 2003
+@@ -31,7 +31,10 @@
+ #pragma warning(disable:4786)
+ #endif
+ 
++#include <inttypes.h>
++#if HAVE_STDINT_H
+ #include <stdint.h>
++#endif
+ #include <string>
+ #include <map>
+ 
diff -urN /usr/ports/audio/zinf/files/patch-lmc-wav-src-wavlmc.cpp audio/zinf/files/patch-lmc-wav-src-wavlmc.cpp
--- /usr/ports/audio/zinf/files/patch-lmc-wav-src-wavlmc.cpp	Thu Jan  1 09:00:00 1970
+++ audio/zinf/files/patch-lmc-wav-src-wavlmc.cpp	Thu Aug 21 19:49:58 2003
@@ -0,0 +1,10 @@
+--- lmc/wav/src/wavlmc.cpp.orig	Sat Mar 15 10:01:52 2003
++++ lmc/wav/src/wavlmc.cpp	Thu Aug 21 19:49:36 2003
+@@ -49,6 +49,7 @@
+ #include "facontext.h"
+ #include "log.h"
+ #include "debug.h"
++#include "swab.h"
+ 
+ #define DB Debug_v("%s:%d\n",  __FILE__, __LINE__);
+ 
diff -urN /usr/ports/audio/zinf/files/patch-plm-metadata-id3lib-id3lib.cpp audio/zinf/files/patch-plm-metadata-id3lib-id3lib.cpp
--- /usr/ports/audio/zinf/files/patch-plm-metadata-id3lib-id3lib.cpp	Tue Jan 28 15:24:24 2003
+++ audio/zinf/files/patch-plm-metadata-id3lib-id3lib.cpp	Thu Jan  1 09:00:00 1970
@@ -1,10 +0,0 @@
---- plm/metadata/id3lib/id3lib.cpp.orig	Mon Dec 16 17:34:16 2002
-+++ plm/metadata/id3lib/id3lib.cpp	Sat Jan 18 10:26:46 2003
-@@ -31,7 +31,6 @@
- #include <strings.h>
- #endif
- 
--#include "id3config.h"
- #include "errors.h"
- #include "utility.h"
- #include "debug.h"
diff -urN /usr/ports/audio/zinf/files/patch-ui-zinf-include-PixFontControl.h audio/zinf/files/patch-ui-zinf-include-PixFontControl.h
--- /usr/ports/audio/zinf/files/patch-ui-zinf-include-PixFontControl.h	Thu Jan  1 09:00:00 1970
+++ audio/zinf/files/patch-ui-zinf-include-PixFontControl.h	Mon Aug 18 17:38:00 2003
@@ -0,0 +1,13 @@
+--- ui/zinf/include/PixFontControl.h.orig	Thu Feb 13 21:21:37 2003
++++ ui/zinf/include/PixFontControl.h	Mon Aug 18 17:37:47 2003
+@@ -32,7 +32,10 @@
+ #pragma warning(disable:4786)
+ #endif
+ 
++#include <inttypes.h>
++#if HAVE_STDINT_H
+ #include <stdint.h>
++#endif
+ #include <string>
+ #include <vector>
+ 
diff -urN /usr/ports/audio/zinf/files/patch-ui-zinf-src-ThemeZip.cpp audio/zinf/files/patch-ui-zinf-src-ThemeZip.cpp
--- /usr/ports/audio/zinf/files/patch-ui-zinf-src-ThemeZip.cpp	Thu Jan  1 09:00:00 1970
+++ audio/zinf/files/patch-ui-zinf-src-ThemeZip.cpp	Thu Aug 21 22:42:36 2003
@@ -0,0 +1,40 @@
+--- ui/zinf/src/ThemeZip.cpp.orig	Sun Feb 23 09:35:06 2003
++++ ui/zinf/src/ThemeZip.cpp	Thu Aug 21 21:56:19 2003
+@@ -24,6 +24,10 @@
+ #include <time.h>
+ #include <stdio.h>
+ #include <ctype.h>
++#include <inttypes.h>
++#if HAVE_STDINT_H
++#include <stdint.h>
++#endif
+ 
+ #ifdef WIN32
+ #include <windows.h>
+@@ -145,7 +149,7 @@
+        oFile = *(*i);
+        pPtr = strrchr(oFile.c_str(), DIR_MARKER);
+        if (pPtr)
+-           oFile.erase(0, ((int)pPtr - (int)oFile.c_str()) + 1);
++           oFile.erase(0, ((uintptr_t)pPtr - (uintptr_t)oFile.c_str()) + 1);
+ 
+        pIn = fopen((*i)->c_str(), "rb");
+        if (pIn == NULL)
+@@ -424,7 +428,7 @@
+ 
+        oUnpackFile = string(TarRecord.header.name);
+        // in case we have sub-directory in tar, take only filename
+-       unsigned int uPos;
++       uintptr_t uPos;
+        uPos=oUnpackFile.rfind('/');
+        if(uPos!=oUnpackFile.npos) oUnpackFile.erase(0,uPos+1);
+ 
+@@ -553,7 +557,7 @@
+         // see if it is directory record we are looking for
+         if(TarRecord.header.typeflag == DIRTYPE)
+         {
+-            unsigned int uPos;
++            uintptr_t uPos;
+             oDescriptiveName = string (TarRecord.header.name);
+ 
+             // erase trailing slash
diff -urN /usr/ports/audio/zinf/files/patch-ui-zinf-tools-Makefile.in audio/zinf/files/patch-ui-zinf-tools-Makefile.in
--- /usr/ports/audio/zinf/files/patch-ui-zinf-tools-Makefile.in	Thu Jan  1 09:00:00 1970
+++ audio/zinf/files/patch-ui-zinf-tools-Makefile.in	Mon Aug 18 19:03:11 2003
@@ -0,0 +1,11 @@
+--- ui/zinf/tools/Makefile.in.orig	Mon Aug  4 03:57:33 2003
++++ ui/zinf/tools/Makefile.in	Mon Aug 18 19:02:48 2003
+@@ -213,7 +213,7 @@
+ 
+ maketheme_SOURCES = MakeTheme.cpp $(top_srcdir)/ui/zinf/src/ThemeZip.cpp
+ maketheme_LDADD = $(top_builddir)/lib/unzip/libunzip.la \
+-		  $(top_builddir)/base/unix/libunix.la $(ZLIB_LIBS) -ldl
++		  $(top_builddir)/base/unix/libunix.la $(ZLIB_LIBS)
+ 
+ 
+ AM_CPPFLAGS = $(THREAD_CFLAGS) $(base_includes) \
diff -urN /usr/ports/audio/zinf/files/patch-ui-zinf-unix-src-GTKFileSelector.cpp audio/zinf/files/patch-ui-zinf-unix-src-GTKFileSelector.cpp
--- /usr/ports/audio/zinf/files/patch-ui-zinf-unix-src-GTKFileSelector.cpp	Thu Jan  1 09:00:00 1970
+++ audio/zinf/files/patch-ui-zinf-unix-src-GTKFileSelector.cpp	Sat Sep 13 03:03:23 2003
@@ -0,0 +1,11 @@
+--- ui/zinf/unix/src/GTKFileSelector.cpp.orig	Wed Feb 19 16:39:23 2003
++++ ui/zinf/unix/src/GTKFileSelector.cpp	Sat Sep 13 03:02:14 2003
+@@ -25,7 +25,7 @@
+ #include <unistd.h>
+ #include <dirent.h>
+ 
+-#if defined(solaris)                                                          
++#if defined(solaris) || defined(__FreeBSD__)                                                         
+ #include <sys/types.h>                                                        
+ #include <sys/param.h>         /* for MAXPATHLEN */                           
+ #include <sys/stat.h>                                                         
diff -urN /usr/ports/audio/zinf/pkg-plist audio/zinf/pkg-plist
--- /usr/ports/audio/zinf/pkg-plist	Fri Jan 31 21:45:09 2003
+++ audio/zinf/pkg-plist	Sat Sep 13 04:00:48 2003
@@ -3,35 +3,31 @@
 %%LIBARTS%%lib/zinf/plugins/arts.pmo
 lib/zinf/plugins/cd.lmc
 lib/zinf/plugins/cd.pmo
+lib/zinf/plugins/cmdline.ui
 lib/zinf/plugins/download.ui
 %%ESOUND%%lib/zinf/plugins/esound.pmo
-lib/zinf/plugins/httpinput.pmi
-lib/zinf/plugins/id3lib.mdf
+lib/zinf/plugins/http.pmi
 lib/zinf/plugins/irman.ui
 lib/zinf/plugins/kjofol.ftf
+lib/zinf/plugins/id3lib.mdf
 lib/zinf/plugins/lcd.ui
-lib/zinf/plugins/localfileinput.pmi
+lib/zinf/plugins/local.pmi
 lib/zinf/plugins/m3u.plf
 lib/zinf/plugins/mbcd.mdf
 lib/zinf/plugins/misc.mdf
 lib/zinf/plugins/mpg123.ui
 lib/zinf/plugins/musicbrowser.ui
 lib/zinf/plugins/ncurses.ui
-lib/zinf/plugins/obsinput.pmi
+lib/zinf/plugins/obs.pmi
 lib/zinf/plugins/pls.plf
-lib/zinf/plugins/rmp.dlf
 lib/zinf/plugins/soundcard.pmo
 %%VORBIS%%lib/zinf/plugins/vorbis.lmc
 %%VORBIS%%lib/zinf/plugins/vorbis.mdf
 lib/zinf/plugins/wav.lmc
 lib/zinf/plugins/wavout.pmo
 lib/zinf/plugins/winamp.ftf
-lib/zinf/plugins/winamp_theme.xml
 lib/zinf/plugins/xingmp3.lmc
 lib/zinf/plugins/zinf.ui
-lib/zinf/plugins/zinfcmd.ui
-share/gnome/apps/Audio/Zinf.desktop
-share/gnome/pixmaps/zinf.png
 share/zinf/themes/Aquatica.fat
 share/zinf/themes/Zinf.fat
 share/zinf/themes/ZinfClassic.fat
Comment 2 Edwin Groothuis freebsd_committer 2003-09-27 03:16:46 UTC
State Changed
From-To: open->analyzed

Waiting for fixing of devel/stlport
Comment 3 Edwin Groothuis freebsd_committer 2003-09-27 04:59:36 UTC
State Changed
From-To: analyzed->closed

Commited, thanks!